Initiate a credit limit increase for an engagement
curl --request POST \
--url https://partner-card.test.public.rockerapi.dev/api/engagements/card/{engagement-id}/credit-limit-increase \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"appliedAmount": {
"amount": 123,
"currency": "<string>",
"unit": "<string>"
},
"reason": {
"reasonType": "<string>"
},
"monthlyIncome": {
"amount": 123,
"currency": "<string>",
"unit": "<string>"
},
"redirectUrls": {
"successUrl": "<string>",
"failUrl": "<string>"
}
}
'import requests
url = "https://partner-card.test.public.rockerapi.dev/api/engagements/card/{engagement-id}/credit-limit-increase"
payload = {
"appliedAmount": {
"amount": 123,
"currency": "<string>",
"unit": "<string>"
},
"reason": { "reasonType": "<string>" },
"monthlyIncome": {
"amount": 123,
"currency": "<string>",
"unit": "<string>"
},
"redirectUrls": {
"successUrl": "<string>",
"failUrl": "<string>"
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appliedAmount: {amount: 123, currency: '<string>', unit: '<string>'},
reason: {reasonType: '<string>'},
monthlyIncome: {amount: 123, currency: '<string>', unit: '<string>'},
redirectUrls: {successUrl: '<string>', failUrl: '<string>'}
})
};
fetch('https://partner-card.test.public.rockerapi.dev/api/engagements/card/{engagement-id}/credit-limit-increase', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
}"<string>"{
"code": "<string>",
"message": "<string>"
}Card
Initiate a credit limit increase for an engagement
Initiates a credit limit increase request for the given engagement. The request is created in PROCESSING and submitted for evaluation.
POST
/
api
/
engagements
/
card
/
{engagement-id}
/
credit-limit-increase
Initiate a credit limit increase for an engagement
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Body
application/json
Money object represented in the smallest currency unit
Show child attributes
Show child attributes
- HttpCreditLimitIncreaseReasonConsolidateSpendingOnThisCard
- HttpCreditLimitIncreaseReasonCurrentLimitDoesNotCoverRecurringExpenses
- HttpCreditLimitIncreaseReasonIncomeHasIncreased
- HttpCreditLimitIncreaseReasonIncreasedNeedForFinancialFlexibility
- HttpCreditLimitIncreaseReasonLimitNotSufficientForTemporarilyHigherExpenses
- HttpCreditLimitIncreaseReasonOther
Show child attributes
Show child attributes
Money object represented in the smallest currency unit
Show child attributes
Show child attributes
Available options:
PERMANENT, SOLE_PROPRIETOR, RETIRED, STUDENT, HOMEMAKER, OTHER Show child attributes
Show child attributes
⌘I

